> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mountthor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Identity Setup



## OpenAPI

````yaml /api-reference/customer-api.v1.openapi.json get /v1/admin/identity
openapi: 3.1.0
info:
  title: Mount Thor Customer API
  version: v1
servers:
  - description: Mount Thor customer API edge
    url: https://api.mountthor.com
security: []
paths:
  /v1/admin/identity:
    get:
      tags:
        - identity
      summary: Get Identity Setup
      operationId: get_customer_admin_identity
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerAdminIdentityResponse'
          description: Identity setup status
        '401':
          description: Missing or invalid customer credential
        '403':
          description: Credential is missing account:read scope
        '429':
          content:
            text/plain:
              schema:
                type: string
          description: Rate limit exceeded
          headers:
            Retry-After:
              description: Seconds before retry.
              schema:
                minimum: 1
                type: integer
      security:
        - api_key_bearer:
            - account:read
components:
  schemas:
    CustomerAdminIdentityResponse:
      additionalProperties: false
      properties:
        allowed_email_domains:
          items:
            type: string
          type: array
        has_identity_integration:
          description: |-
            Whether the caller's customer has any usable identity integration.
            Derived from `integration_status`. The portal uses this to decide
            whether to render "Setup SSO Logins" vs "Reconfigure SSO" CTAs.
          type: boolean
        integration_status:
          example: configured
          type:
            - string
            - 'null'
        provider:
          example: workos
          type: string
      required:
        - provider
        - has_identity_integration
        - allowed_email_domains
      type: object
  securitySchemes:
    api_key_bearer:
      bearerFormat: mthr_live_*
      description: Bearer scheme name used by typed customer admin operations.
      scheme: bearer
      type: http

````